# Convert excel file to tab-delimited txt file
# Requres three commandline arguments:
# [file path] [excel file name] [txt file name]
#
# Example argument parameters:
# work_dir <- "C:/Develop/Projects/NetBeans/WebApps/PHP/tgclassifier/rspace/data/general"
# excel_file <- "Read-counts-log2-transformed--Temposeq.xlsx"
# txt_file <- "Read-counts-log2-transformed--Temposeq.txt"


readTabData <- function(path, txtfile) {
  #txtfile <- Read counts log2 transformed- Temposeq_MW.txt'
  df.data <- read.table(file.path(path, txtfile), sep="\t", header=TRUE)
}

# xlsx2Convert <- function(path, excelfile, txtfile) {
#   require(xlsx)
#   
#   df.data <- read.xlsx2(file.path(path, excelfile), sheetIndex = 1, rowNames = TRUE)
#   #df.data <- read.table(file.path(work_dir,'Read counts log2 transformed- Temposeq_MW.txt'), sep="\t", header=TRUE)
#   names(df.data)
#   
#   if (names(df.data)[1] == 'X') {
#     names(df.data)[1] <- "Genes"
#   }
#   
#   write.table(df.data, file = file.path(path, txtfile), append = FALSE, quote = FALSE, sep = "\t")#, col.names=NA
# }

# Independent of rJava
openxlsxConvert <- function(path, excelfile, txtfile) {
  if (Sys.info()["sysname"] != "Windows") {
      .libPaths('/cebsprj/tool/R/lib64/R/library')
  }
  
  require('openxlsx')
  file <- file.path(path, excelfile)
  #data <- read.xlsx(file, sheet = 1)
  data <- read.xlsx(file, sheet = 1)
  
  if (names(data)[1] == 'X1') {
    names(data)[1] <- "Gene Name"
  }
  
  write.table(data, file = file.path(work_dir, txt_file), append = FALSE, quote = FALSE, row.names=FALSE, col.names=TRUE, sep = "\t")
}

args <- commandArgs(TRUE);
print(length(args))
  
# options(java.parameters = "-Xmx2048m")  ## memory set to 2 GB

if (length(args) == 2) {
  #args
  work_dir <- args[1]
  txt_file <- args[2]
  readTabData(work_dir, txt_file);
} else if (length(args) >= 3) {
  args
  length(args)
  work_dir <- args[1]
  excel_file <- args[2]
  txt_file <- args[3]#gsub("xlsx", "txt", excel_file)
  
  if (file.exists(file.path(work_dir, excel_file))) {
    #xlsx2Convert(work_dir, excel_file, txt_file)
    openxlsxConvert(work_dir, excel_file, txt_file)
  }

  cat(sprintf("TXT file exists: %s.\n", file.exists(file.path(work_dir, txt_file))))
}