# TGx-DDI Biomarker for DNA Damage Classification
The TGx-DDI biomarker was developed as a toxicogenomics signature to identify chemicals that can cause DNA damage in human cells in culture. Development of this biomarker was as a collaborative effort between the Genomics Committee of the Health and Environmental Sciences Institute (HESI), Health Canada, the University of Ottawa, and Georgetown University. The NIEHS Division of Translational Toxicology (DTT) collaborated on the development of the classification tool.

# Dependencies and Requirements
The R scripts were modified from the source codes provided by Health Canada in RStudio and tested with the following R version 

## Additional Sotware Requirements
| Vendor         | Version | Notes                                      |
| -------------  | ------- | ------------------------------------------ |
| R              | 3.2     | Required for executing the TGx-DDI R code. |

## Additional Software Dependencies: R Libraries
* library(affy)
* library(Cairo)
* library(heatmap.plus)
* library(Heatplus)
* library(heatmap3)
* library(dendextend)
* package(openxlsx)
* package(X11)
* package(BH)
* package(plogr)
* package(RSQLite)
* package(AnnotationDbi)
* package(hgu133plus2cdf)


# Contributors

* Genomics Committee of the Health and Environmental Sciences Institute (HESI)
* Health Canada
* Georgetown University
